org.eclnt.jsfserver.elements.componentnodes

## Class HTTABLENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTTABLENode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTTABLENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTABLENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTTABLENode` | `bindComment(IDynamicContentBindingObject value)`
    `HTTABLENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTTABLENode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTTABLENode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTTABLENode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTTABLENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTTABLENode` | `setAttributemacro(java.lang.String value)`
    `HTTABLENode` | `setComment(java.lang.String value)`
    `HTTABLENode` | `setComponentbinding(java.lang.String value)`
    `HTTABLENode` | `setConfiginfo(java.lang.String value)`
    `HTTABLENode` | `setId(java.lang.String value)`
    `HTTABLENode` | `setReference(java.lang.String value)`
    `HTTABLENode` | `setRendered(boolean value)`
    `HTTABLENode` | `setRendered(java.lang.String value)`
    `HTTABLENode` | `setStyle(java.lang.String value)`
    `HTTABLENode` | `setStyleClass(java.lang.String value)`
    `HTTABLENode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTABLENode

          public HTTABLENode()

  - ### Method Detail

    - #### setId

          public HTTABLENode setId(java.lang.String value)

    - #### setAttributemacro

          public HTTABLENode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTTABLENode setComment(java.lang.String value)

    - #### bindComment

          public HTTABLENode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public HTTABLENode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public HTTABLENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTTABLENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public HTTABLENode setReference(java.lang.String value)

    - #### setRendered

          public HTTABLENode setRendered(java.lang.String value)

    - #### bindRendered

          public HTTABLENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTTABLENode setRendered(boolean value)

    - #### setStyle

          public HTTABLENode setStyle(java.lang.String value)

    - #### bindStyle

          public HTTABLENode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTTABLENode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTTABLENode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTTABLENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTTABLENode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.